cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface IServerInteractiveContinuation

- All Known Implementing Classes:
    ServerSideQICAgent

      public interface IServerInteractiveContinuation

  The Interactive Continuation Protocol defines the methodology for the intentional transmission of a large query-response payload over multiple HL7 messages.Without this protocol, the response would be returned in a single large logical message. The implementor of this interface should provide processSend,processReceive, generateCancellationQuery,generateInteractiveQuery methods. The class which implement this interface will track the sending queries and receiving responses. In addition it will generate interactive query and cancellation query for already triggered query.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISegmentSet` | `generateInteractiveResponse(java.lang.String strQueryID)` Retrieves the number of query fired for specified Query ID.
    `ISingleCollection<java.lang.String>` | `getUnprocessedResponse()` Returns the query id for all Unprocessed Response.
    `boolean` | `processReceive(ISegmentSet objSegmentSet)` Keeps the logs of incoming Interactive Queries.
    `void` | `processSend(ISegmentSet objSegmentSet)` Keeps the logs of outgoing Interactive Responses.

- - ### Method Detail

    - #### processSend

          void processSend(ISegmentSet objSegmentSet)

      Keeps the logs of outgoing Interactive Responses.
      Parameters:
        `objSegmentSet` - object of Segment Set received.

    - #### processReceive

          boolean processReceive(ISegmentSet objSegmentSet)

      Keeps the logs of incoming Interactive Queries.
      Parameters:
        `objSegmentSet` - object of Segment Set received.

    - #### generateInteractiveResponse

          ISegmentSet generateInteractiveResponse(java.lang.String strQueryID)

      Retrieves the number of query fired for specified Query ID.
      Parameters:
        `strQueryID` - object of Query id for which retrieving Segment Set.
      Returns:
        ISegmentSet object of Segment Set.

    - #### getUnprocessedResponse

          ISingleCollection<java.lang.String> getUnprocessedResponse()

      Returns the query id for all Unprocessed Response.
      Returns:
        ISingleCollection collection of strings.